## Command line

AppleWin can be driven from the command line as follows:

-d1 <pathname>
Start with a disk in drive-1
-d2 <pathname>
Start with a disk in drive-2
-f
Start in full-screen mode
-r <number of pages>
Emulate a RAMworks III card with 1 to 127 pages (each page is 64K, giving a max of 8MB)
-f8rom <rom-file>
Use custom 2K ROM at [$F800..$FFFF]. <rom-file> must be 2048 bytes long
-printscreen
Enable the dialog box to display the last file saved to
-use-real-printer
Enables Advanced configuration control to allow dumping to a real printer
-noreg
Disable registration of file extensions (.do/.dsk/.nib/.po)
-memclear <n>
Where n is [0..7]:

- 0 Initialize memory to zero
- 1 Initialize memory to random values
- 2 Initialize memory to 4 byte pattern: FF FF 00 00
- 3 Initialize memory to even pages FF, odd pages 00
- 4 Initialize memory to first half page 00, last half page FF
- 5 Initialize memory to first half page FF, last half page 00
- 6 Initialize memory to byte offset of that page (current memory address low byte) i.e. 00:00 01 02 03 ... for page $20
- 7 Initialize memory to page address (current memory address high byte) i.e. 00:20 20 20 20 ... for page $20

-load-state <savestate>
Load a save-state file

Debug arguments:

-l
Enable logging. Creates an AppleWin.log file
-m
Disable DirectSound support
-no-printscreen-dlg
Suppress the warning message-box if AppleWin fails to capture the PrintScreen key